Folks.SearchView.prepare – folks Reference Manual

# prepare

## Description:

public async void prepare () throws Error

Prepare the view for use.

This calls IndividualAggregator.prepare as necessary to start aggregating all Individuals.

This function is guaranteed to be idempotent, so multiple search views may share a single aggregator; SearchView.prepare must be called on all of the views.

For any clients only interested in a snapshot of search results, SearchView.individuals is valid once this async function is finished.

## Exceptions:

GLib.Error | if preparation failed

## Since:

0.11.0